Set live version of a connection
curl --request PUT \
--url https://api.staging.payrails.io/token/connections/{connectionId}/versions/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"liveVersionId": "<string>"
}
'import requests
url = "https://api.staging.payrails.io/token/connections/{connectionId}/versions/live"
payload = { "liveVersionId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({liveVersionId: '<string>'})
};
fetch('https://api.staging.payrails.io/token/connections/{connectionId}/versions/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"liveVersionId": "79c9eba7-5e67-4355-9883-497654a31b5a"
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.malformed",
"detail": "The request has malformed syntax",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestmalformed"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.unauthorized",
"detail": "The request lacks necessary credentials to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestunauthorized"
}
]
}{
"errors": [
{
"id": "e7db22b3-914e-4975-928e-9edfb0885bea",
"code": "request.forbidden",
"detail": "The request credentials lack the required permissions to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestforbidden"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.not-found",
"detail": "The requested resource was not found",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestnot-found"
}
]
}{
"errors": [
{
"id": "07a1d642-dbf5-47d3-8563-700514b38e46",
"code": "request.header.missing",
"detail": "The request is missing a required header",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestheadermissing"
}
]
}Set live version of a connection
Set certain version of connection as live version or deactivates connection by removing current live version.
PUT
https://api.staging.payrails.io
/
token
/
connections
/
{connectionId}
/
versions
/
live
Set live version of a connection
Authorizations
You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>.
These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.
Path Parameters
Identifier of the resource in Payrails.
Body
application/json
ID of the version to make live or null if you want connection to have no live version (deactivate connection).
Response
Version that is set to live.
The ID of the version that is set to live.
Last modified on October 7, 2026